using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Chat_Classe_exemple_1
{
    class Program
    {
        static void Main(string[] args)
        {
            Chat[] tableauChat;// référence vers un tableau de Chat

            tableauChat=new Chat[3]; // crée le tableau et initiale la référence
            tableauChat[0] = new Chat();// Mauvaise pratique : ctor par défaut
            tableauChat[1] = new Chat(10); //ctor2
            tableauChat[2] = new Chat(1,"Frisk");// ctor3
            foreach (Chat unChat in tableauChat)
                Console.WriteLine(unChat);
            Console.ReadKey();
        }
    }
}
